# SerializableLocation

data class SerializableLocation(world: SerializableWorld?, x: Double, y: Double, z: Double, direction: SerializableVector) : SpigotSerializable<Location>
Content copied to clipboard

## Constructors

SerializableLocation
Link copied to clipboard
fun SerializableLocation(loc: Location)
Content copied to clipboard

## Types

Companion
Link copied to clipboard
object Companion : SpigotSerializableCompanion<SerializableLocation>
Content copied to clipboard

## Functions

toSpigot
Link copied to clipboard
open override fun toSpigot(): Location
Content copied to clipboard
Converts this serializable object into the corresponding spigot object.

## Properties

direction
Link copied to clipboard
val direction: SerializableVector
Content copied to clipboard
world
Link copied to clipboard
val world: SerializableWorld?
Content copied to clipboard
x
Link copied to clipboard
val x: Double
Content copied to clipboard
y
Link copied to clipboard
val y: Double
Content copied to clipboard
z
Link copied to clipboard
val z: Double
Content copied to clipboard